Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tiles
Class Expression

    java.lang.Object
      org.apache.tiles.Expression

    public class Expression

extends java.lang.Object

It is an expression, along with the expression language (e.g. EL, MVEL, OGNL) it is expressed with.

Since:
  2.2.0
Version:
  $Rev: 788032 $ $Date: 2009-06-24 16:08:32 +0200 (mer, 24 giu 2009) $

Constructor Summary
`Expression(Expression toCopy)` Copy constructor.
`Expression(java.lang.String expression)` Constructor, using the default (i.e.
`Expression(java.lang.String expression, java.lang.String language)` Constructor.

Method Summary
`static Expression` | `createExpression(java.lang.String expression, java.lang.String language)` Creates an Expression object from the expression and its language.
`static Expression` | `createExpressionFromDescribedExpression(java.lang.String describedExpression)` Creates an Expression object from a string in the form `LANGUAGE:EXPRESSION`.
`boolean` | `equals(java.lang.Object obj)`
`java.lang.String` | `getExpression()` Returns the expression string.
`java.lang.String` | `getLanguage()` Returns the language in which the expression is expressed.
`int` | `hashCode()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Expression

    public Expression(java.lang.String expression,
                      java.lang.String language)

  Constructor.

  Parameters:
    `expression` - The expression itself.
    `language` - The language of the expression.
  Since:
    2.2.0

### Expression

    public Expression(java.lang.String expression)

  Constructor, using the default (i.e. `null`) language.

  Parameters:
    `expression` - The expression itself.
  Since:
    2.2.0

### Expression

    public Expression(Expression toCopy)

  Copy constructor.

  Parameters:
    `toCopy` - The expression to copy.
  Since:
    2.2.0

Method Detail

### createExpressionFromDescribedExpression

    public static Expression createExpressionFromDescribedExpression(java.lang.String describedExpression)

  Creates an Expression object from a string in the form `LANGUAGE:EXPRESSION`.

  Parameters:
    `describedExpression` - The expression in the form `LANGUAGE:EXPRESSION`. The LANGUAGE part should be expressed only with letters and numbers.
  Returns:
    The created object, or `null` if the expression is null.
  Since:
    2.2.0

### createExpression

    public static Expression createExpression(java.lang.String expression,
                                              java.lang.String language)

  Creates an Expression object from the expression and its language.

  Parameters:
    `expression` - The expression itself.
    `language` - The language of the expression.
  Returns:
    The created object, or `null` if the expression is null.
  Since:
    2.2.0

### getExpression

    public java.lang.String getExpression()

  Returns the expression string.

  Returns:
    The expression itself.
  Since:
    2.2.0

### getLanguage

    public java.lang.String getLanguage()

  Returns the language in which the expression is expressed.

  Returns:
    The expression language.
  Since:
    2.2.0

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 Apache Software Foundation. All Rights Reserved.